const app = getApp()

Page({

  /**
   * 页面的初始数据
   */
  data: {
   
  },

  bindNameInput: function (e) {
    this.setData({
      name: e.detail.value
    })
  },
  bindPhoneInput: function (e) {
    this.setData({
      jzphone: e.detail.value
    })
  },
  bindAdressInput: function (e) {
    this.setData({
      address: e.detail.value
    })
  },

  // 确认支付
  confirm_payy: async function () {
    // wx.showToast({
    //   title: '点击了',
    //   icon: 'none'
    // });
    var that = this;
    if (!this.data.is_ok_click) {
      that.setData({
        is_ok_click: true
      })
      //你要执行的操作      
      this.payment()
      setTimeout(function () {
        that.setData({
          is_ok_click: false
        })
      }, 10000) //阻止一秒点击多次
    } else {
      // wx.showToast({ title:'请勿重复操作！', icon: 'none' });
    }
  },
 
  onClose() {
    this.setData({
      show: false
    });
  },

  xieyi(e){
    wx.navigateTo({
      url: "/pages/webpage/webpage?url=" + 'https://www.ruilaizipj.com/index/Privacy/index'  // 解码
    })
  },
  

  bindDateChange: function (e) {
    this.setData({
      seckill_start: e.detail.value
    })
  },

  onClickLeft() {
    wx.navigateBack()
  },
  onChange(e) {
    this.setData({
      timeData: e.detail,
    });

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (e) {
    var statusBarHeight = wx.getSystemInfoSync().statusBarHeight;
    this.setData({
      statusBarHeight: statusBarHeight,
      height: 46 + statusBarHeight,
    });
  

  },
  


  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  

})